> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Entity Payment Methods

> Retrieve all payment methods for a given entity.



## OpenAPI

````yaml GET /v1/entities/{entity_id}/payment-methods
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/payment-methods:
    get:
      tags:
        - Payment Methods
      summary: List Entity Payment Methods
      description: Retrieve all payment methods for a given entity.
      operationId: PrimeRESTAPI_GetEntityPaymentMethods
      parameters:
        - name: entity_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetEntityPaymentMethodsResponse
components:
  schemas:
    coinbase.public_rest_api.GetEntityPaymentMethodsResponse:
      type: object
      properties:
        payment_methods:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.PaymentMethodSummary'
    coinbase.public_rest_api.PaymentMethodSummary:
      type: object
      properties:
        id:
          type: string
        symbol:
          type: string
        payment_method_type:
          $ref: '#/components/schemas/coinbase.public_rest_api.PaymentMethodType'
        bank_name:
          type: string
        account_number:
          type: string
        bank_name_2:
          type: string
    coinbase.public_rest_api.PaymentMethodType:
      title: Indicates the payment method type
      type: string
      description: |-
        - UNKNOWN_PAYMENT_METHOD_TYPE: nil value
         - METHOD_WIRE: Wire transfer
         - METHOD_SEN: Silvergate exchange network
         - METHOD_SWIFT: Swift
      enum:
        - METHOD_WIRE
        - METHOD_SEN
        - METHOD_SWIFT

````